usbpsu: XUsbPsu_Ep Struct Reference

| usbpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsbPsu_Ep Struct Reference
Usbpsu_v1_6

Endpoint representation. More...

## Data Fields
struct XUsbPsu_Trb EpTrb[NO_OF_TRB_PER_EP+1U] | ALIGNMENT_CACHELINE
| < User handler called when data is sent for IN Ep and received for OUT Ep More...
u32 | EpStatus
| Flags to represent Endpoint status. More...
u32 | EpSavedState
| Endpoint status saved at the time of hibernation. More...
u32 | RequestedBytes
| RequestedBytes for transfer. More...
u32 | BytesTxed
| Actual Bytes transferred. More...
u32 | Interval
| Data transfer service interval. More...
u16 | MaxSize
| Size of endpoint. More...
u16 | CurUf
| current microframe More...
u8 * | BufferPtr
| Buffer location. More...
u8 | ResourceIndex
| Resource Index assigned to Endpoint by core. More...
u8 | PhyEpNum
| Physical Endpoint Number in core. More...
u8 | UsbEpNum
| USB Endpoint Number. More...
u8 | Type
| Type of Endpoint - Control/BULK/INTERRUPT/ISOC. More...
u8 | Direction
| Direction - EP_DIR_OUT/EP_DIR_IN. More...

## Detailed Description

Endpoint representation.

## Field Documentation

struct XUsbPsu_Trb EpTrb [NO_OF_TRB_PER_EP + 1U] XUsbPsu_Ep::ALIGNMENT_CACHELINE

< User handler called when data is sent for IN Ep and received for OUT Ep

TRB used by endpoint

u8* XUsbPsu_Ep::BufferPtr

Buffer location.

Referenced by XUsbPsu_Ep0DataDone(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), and XUsbPsu_EpXferComplete().

u32 XUsbPsu_Ep::BytesTxed

Actual Bytes transferred.

Referenced by XUsbPsu_Ep0DataDone(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), and XUsbPsu_EpXferComplete().

u16 XUsbPsu_Ep::CurUf

current microframe

Referenced by XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpEnable(), and XUsbPsu_EpXferNotReady().

u8 XUsbPsu_Ep::Direction

Direction - EP_DIR_OUT/EP_DIR_IN.

Referenced by XUsbPsu_ClearStalls(), XUsbPsu_Ep0_EndControlData(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_Ep0StartStatus(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpClearStall(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_EpSetStall(), XUsbPsu_EpXferComplete(), XUsbPsu_InitializeEps(), XUsbPsu_RecvSetup(), XUsbPsu_SaveEndpointState(), and XUsbPsu_StopTransfer().

u32 XUsbPsu_Ep::EpSavedState

Endpoint status saved at the time of hibernation.

Referenced by XUsbPsu_SaveEndpointState(), and XUsbPsu_SetEpConfig().

u32 XUsbPsu_Ep::EpStatus

Flags to represent Endpoint status.

Referenced by XUsbPsu_ClearStalls(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_Ep0StallRestart(), XUsbPsu_Ep0StartStatus(), XUsbPsu_Ep0XferComplete(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpClearStall(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_EpInterrupt(), XUsbPsu_EpSetStall(), XUsbPsu_EpXferComplete(), XUsbPsu_Idle(), XUsbPsu_IsEpStalled(), XUsbPsu_RecvSetup(), XUsbPsu_ResetIntr(), and XUsbPsu_StopTransfer().

u32 XUsbPsu_Ep::Interval

Data transfer service interval.

Referenced by SetEpInterval(), XUsbPsu_EpXferNotReady(), and XUsbPsu_SetEpConfig().

u16 XUsbPsu_Ep::MaxSize

Size of endpoint.

Referenced by XUsbPsu_Ep0Recv(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_EpXferComplete(), and XUsbPsu_Idle().

u8 XUsbPsu_Ep::PhyEpNum

Physical Endpoint Number in core.

Referenced by XUsbPsu_EpBufferSend(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_Idle(), XUsbPsu_InitializeEps(), XUsbPsu_IsEpStalled(), XUsbPsu_SaveEndpointState(), and XUsbPsu_SetEpHandler().

u32 XUsbPsu_Ep::RequestedBytes

RequestedBytes for transfer.

Referenced by XUsbPsu_Ep0DataDone(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), and XUsbPsu_EpXferComplete().

u8 XUsbPsu_Ep::ResourceIndex

Resource Index assigned to Endpoint by core.

Referenced by XUsbPsu_Ep0_EndControlData(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_Ep0StartStatus(), XUsbPsu_Ep0XferComplete(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpXferComplete(), XUsbPsu_Idle(), XUsbPsu_InitializeEps(), XUsbPsu_RecvSetup(), and XUsbPsu_StopTransfer().

u8 XUsbPsu_Ep::Type

Type of Endpoint - Control/BULK/INTERRUPT/ISOC.

Referenced by XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_EpXferNotReady(), XUsbPsu_Idle(), and XUsbPsu_SetEpConfig().

u8 XUsbPsu_Ep::UsbEpNum

USB Endpoint Number.

Referenced by XUsbPsu_ClearStalls(), XUsbPsu_Ep0_EndControlData(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_Ep0StartStatus(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpClearStall(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_EpSetStall(), XUsbPsu_RecvSetup(), XUsbPsu_SaveEndpointState(), and XUsbPsu_StopTransfer().